LibreOffice: HangulHanjaConversionDictionary Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Included Services | List of all members
HangulHanjaConversionDictionary Service Referencepublished

represents a dictionary for Hangul/Hanja text conversion. More...

Inheritance diagram for HangulHanjaConversionDictionary:

## Included Services
service | com::sun::star::linguistic2::ConversionDictionary

## Additional Inherited Members
Exported Interfaces inherited from ConversionDictionary
interface | com::sun::star::linguistic2::XConversionDictionary
| to access the conversion dictionary functionality.
interface | com::sun::star::util::XFlushable
| to flush (save) the dictionary content to file
interface | com::sun::star::linguistic2::XConversionPropertyType
Public Member Functions inherited from XConversionDictionary
string | getName ()
com::sun::star::lang::Locale | getLocale ()
short | getConversionType ()
void | setActive ([in] boolean bActivate)
| specifies whether the dictionary should be used or not .
boolean | isActive ()
void | clear ()
| removes all entries from the dictionary.
sequence< string > | getConversions ([in] string aText, [in] long nStartPos, [in] long nLength, [in] com::sun::star::linguistic2::ConversionDirection eDirection, [in] long nTextConversionOptions) raises ( com::sun::star::lang::IllegalArgumentException )
| searches for entries or conversions that match the given text.
void | addEntry ([in] string aLeftText, [in] string aRightText) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException)
| is used to add a conversion pair to the dictionary.
void | removeEntry ([in] string aLeftText, [in] string aRightText) raises ( com::sun::star::container::NoSuchElementException )
| removes a conversion pair from the dictionary.
short | getMaxCharCount ([in] com::sun::star::linguistic2::ConversionDirection eDirection)
| returns the maximum number of characters used as left or right text in entries.
sequence< string > | getConversionEntries ([in] com::sun::star::linguistic2::ConversionDirection eDirection)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XFlushable
void | flush ()
| flushes the data of the object to the connected data source.
void | addFlushListener ([in] com::sun::star::util::XFlushListener l)
| adds the specified listener to receive event "flushed."
void | removeFlushListener ([in] com::sun::star::util::XFlushListener l)
| removes the specified listener.
Protected Member Functions inherited from XConversionPropertyType
void | setPropertyType ([in] string aLeftText, [in] string aRightText, [in] short nPropertyType) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException )
| sets the property type for the specified entry.
short | getPropertyType ([in] string aLeftText, [in] string aRightText) raises ( com::sun::star::container::NoSuchElementException )
| returns the property type for the specified entry.

## Detailed Description

represents a dictionary for Hangul/Hanja text conversion.

A dictionary implementing this service will be used for Hangul/Hanja conversion. Therefore the locale of the dictionary has to be Korean, and the conversion type com::sun::star::linguistic2::ConversionDictionaryType::HANGUL_HANJA.

Also for a pair (entry) to be added the left part has to be in Hangul and the right in Hanja, and the number of characters for the left part has to be the same as for the right part.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ com::sun::star::linguistic2::ConversionDictionary

service com::sun::star::linguistic2::ConversionDictionary

The documentation for this service was generated from the following file:

- com/sun/star/linguistic2/HangulHanjaConversionDictionary.idl